Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200606-12 ] Mozilla Firefox: Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Sun Jun 11, 2006 10:26 pm    Post subject: [ GLSA 200606-12 ] Mozilla Firefox: Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Mozilla Firefox: Multiple vulnerabilities (GLSA 200606-12)
Severity: normal
Exploitable: remote
Date: June 11, 2006
Bug(s): #135254
ID: 200606-12

Synopsis

Vulnerabilities in Mozilla Firefox allow privilege escalations for JavaScript code, cross site scripting attacks, HTTP response smuggling and possibly the execution of arbitrary code.

Background

Mozilla Firefox is the next-generation web browser from the Mozilla project.

Affected Packages

Package: www-client/mozilla-firefox
Vulnerable: < 1.5.0.4
Unaffected: >= 1.5.0.4
Architectures: All supported architectures

Package: www-client/mozilla-firefox-bin
Vulnerable: < 1.5.0.4
Unaffected: >= 1.5.0.4
Architectures: All supported architectures


Description

A number of vulnerabilities were found and fixed in Mozilla Firefox. For details please consult the references below.

Impact

By enticing the user to visit a malicious website, a remote attacker can inject arbitrary HTML and JavaScript Code into the user's browser, execute JavaScript code with elevated privileges and possibly execute arbitrary code with the permissions of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All Mozilla Firefox users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=www-client/mozilla-firefox-1.5.0.4"
All Mozilla Firefox binary users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=www-client/mozilla-firefox-bin-1.5.0.4"
Note: There is no stable fixed version for the Alpha architecture yet. Users of Mozilla Firefox on Alpha should consider unmerging it until such a version is available.

References

CVE-2006-2775
CVE-2006-2776
CVE-2006-2777
CVE-2006-2778
CVE-2006-2779
CVE-2006-2780
CVE-2006-2782
CVE-2006-2783
CVE-2006-2784
CVE-2006-2785
CVE-2006-2786
CVE-2006-2787
Mozilla Foundation Security Advisories
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum